[Overview][Resource strings][Types][Classes][Index] | Reference for unit 'CacheCls' (#fcl)

# TCache.Remove

Remove a data item from the list.

## Declaration

Source position: cachecls.pp line 85

`public procedure TCache.Remove(`
`AData: Pointer`
`);`

## Arguments

`AData` |  | Data pointer to remove

## Description

Remove searches the slot which matches AData and if it is found, sets the data pointer to Nil, thus effectively removing the pointer from the list.

## Errors

None.

## See also

TCache.FindSlot |  | Find data pointer in the list